summaryrefslogtreecommitdiffstats
path: root/debian/local/shutdown
diff options
context:
space:
mode:
authorDaniel Baumann <mail@daniel-baumann.ch>2021-10-08 17:31:08 +0000
committerDaniel Baumann <mail@daniel-baumann.ch>2021-10-08 18:06:39 +0000
commit681594c11c197cbffdbac57e6d3ad7490a662ff9 (patch)
treeed4944ee1ba8adba9c75d315e4d600b6d5fc46f9 /debian/local/shutdown
parentAdding jq to bfh-base-system depends. (diff)
downloadbfh-metapackages-681594c11c197cbffdbac57e6d3ad7490a662ff9.tar.xz
bfh-metapackages-681594c11c197cbffdbac57e6d3ad7490a662ff9.zip
Adding shutdown handling in bfh-container.
Signed-off-by: Daniel Baumann <mail@daniel-baumann.ch>
Diffstat (limited to 'debian/local/shutdown')
-rwxr-xr-xdebian/local/shutdown13
1 files changed, 13 insertions, 0 deletions
diff --git a/debian/local/shutdown b/debian/local/shutdown
new file mode 100755
index 0000000..30e959d
--- /dev/null
+++ b/debian/local/shutdown
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+echo "${0}: disabled in systemd-nspawn container"
+
+if [ -e /etc/compute-tools/shutdown.txt ]
+then
+ cat /etc/compute-tools/shutdown.txt
+elif [ -e /usr/share/container/shutdown.txt ]
+then
+ cat /usr/share/container/shutdown.txt
+fi
+
+exit 1